Qt 5.6 | Qt 3D | C++ Classes | QDispatchCompute

Qt 5.6.3 Reference Documentation

# QDispatchCompute Class

(Qt3DRender::QDispatchCompute)

Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Properties

- workGroupX : int
- workGroupY : int
- workGroupZ : int

- 1 property inherited from Qt3DRender::QFrameGraphNode
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QDispatchCompute(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QDispatchCompute()
void | setWorkGroupX(int workGroupX)
void | setWorkGroupY(int workGroupY)
void | setWorkGroupZ(int workGroupZ)
int | workGroupX() const
int | workGroupY() const
int | workGroupZ() const

- 2 public functions inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Signals

void | workGroupXChanged()
void | workGroupYChanged()
void | workGroupZChanged()

- 1 signal inherited from Qt3DRender::QFrameGraphNode
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 public slot inherited from Qt3DRender::QFrameGraphNode
- 2 public slots inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Property Documentation

### workGroupX : int

Access functions:

int | workGroupX() const
void | setWorkGroupX(int workGroupX)

Notifier signal:

void | workGroupXChanged()

### workGroupY : int

Access functions:

int | workGroupY() const
void | setWorkGroupY(int workGroupY)

Notifier signal:

void | workGroupYChanged()

### workGroupZ : int

Access functions:

int | workGroupZ() const
void | setWorkGroupZ(int workGroupZ)

Notifier signal:

void | workGroupZChanged()

## Member Function Documentation

### QDispatchCompute::QDispatchCompute(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QDispatchCompute.

### QDispatchCompute::~QDispatchCompute()

Destroys the instance of QDispatchCompute.

### `[protected]` void QDispatchCompute::copy(const Qt3DCore::QNode *ref)